Subject: bug#16313: 24.3; package-delete does not update package-alist

From: Glenn Morris <[email-masked]>
Date: Wed, 08 Jan 2014 00:10:44 -0500

Bastien wrote:

> Should I fix this or wait for Tom's feedback?

I don't know why you are asking someone who hasn't changed the file in
3.5 years. You should wait for Stefan to answer, since he authored the
most recent changes to package-delete, has already commented on this
bug, and obviously knows how to delete an element from an alist.